-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009, 2010, 2011, 2012 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org

getBirthDescriptor("class", "Mage").descriptor_choices.subclass["Sorcerer"] = "allow"

newBirthDescriptor{
	type = "subclass",
	name = "Sorcerer",
	desc = {
		"Placeholder.  Not a master of manipulating elements like Archmagi, the Dead like Necromancers, or latent magics like Alchemists",
		"Instead, they hold mastery over magic itself.  Blasts of pure arcane, shaping spells, enchantment, illusions.",
		"Not as directly powerful as other Mages, they make it for it with the powers to bend and fold Magic itself to their bidding.",
		"They use: Magic, Willpower, and Cunning",
		"#GOLD#Stat modifiers:",
		"#LIGHT_BLUE# * 0 Strength, 0 Dexterity, 0 Constitution",
		"#LIGHT_BLUE# * 6 Magic, +1 Willpower, +2 Cunning",
		"#GOLD# Life per level:#RED# -4",
	},
	power_source = {arcane=true},
	stats = { mag=6, wil=1, cun=2 },
	talents_types = {
		["spell/arcane"]={true, 0.3},
		["spell/aether"]={false, 0.1},
		["spell/phantasm"]={true, 0.3},
		["spell/meta"]={false, 0.3},
		["spell/sorcery"]={true, 0.3},
		["spell/divination"]={true, 0.1},
		["spell/aegis"]={true, 0.3},	
		["cunning/survival"]={false, 0},

	},
	talents = {
		[ActorTalents.T_ARCANE_POWER] = 1,
		[ActorTalents.T_ARCANE_RECONSTRUCTION] = 1,
		[ActorTalents.T_ILLUMINATE] = 1,
	},
	copy = {
		max_life = 90,
		resolvers.equip{ id=true,
			{type="weapon", subtype="staff", name="elm staff", autoreq=true, ego_chance=-1000},
			{type="armor", subtype="cloth", name="linen robe", autoreq=true, ego_chance=-1000},
		},
	},
	copy_add = {
		life_rating = -4,
	},
}
